Index: npl/monitoring/cricket/cricket.SlackBuild
===================================================================
--- npl/monitoring/cricket/cricket.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/cricket.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:rrdtool
+#DEP:libart_lgpl
+#DEP:libpng
+#DEP:perlmod_SNMP_Session
+
+NAME=cricket
+VER=1.0.5
+CWD=`pwd`
+PKGTMP=/tmp/pkgtmp
+
+mkdir -p $PKGTMP &>/dev/null
+
+tar -xzf $NAME-$VER.tar.gz || exit 1
+
+cd $NAME-$VER || exit 1
+
+./configure || exit 1
+
+
+mkdir -p $PKGTMP/usr/cricket
+cp -a * $PKGTMP/usr/cricket || exit 1
+cp $CWD/subtree-sets $PKGTMP/usr/cricket || exit 1
+
+#dit is een gefixte versie omdat we een nieuwe versie 
+#van perl hebben. (komt uit cvs)
+cp $CWD/snmp.pm $PKGTMP/usr/cricket/lib || exit 1
+
+cd "$PKGTMP" || exit 1
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VER > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
+
Index: npl/monitoring/cricket/cricket.arch
===================================================================
--- npl/monitoring/cricket/cricket.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/cricket.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/monitoring/cricket/cricket.depver
===================================================================
--- npl/monitoring/cricket/cricket.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/cricket.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+rrdtool	0
+libart_lgpl	0
+libpng	1
+perlmod_SNMP_Session	0
Index: npl/monitoring/cricket/cricket.md5
===================================================================
--- npl/monitoring/cricket/cricket.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/cricket.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,6 @@
+916ae8ffa1f9b3c9933f47aff3a87d54  ./cricket-1.0.5.tar.gz
+1f3e62339798caccef7fbf3eb573179d  ./cricket.pkg
+7e561dff575a7effadf6b8801e6f47b7  ./cricket.SlackBuild
+e7a3cea8ef43871dd4da7a39f8ddc2c7  ./cricket.SlackBuild.log.gz
+c7e0c61736d8ced2093de12dbeb10ef2  ./snmp.pm
+c0ec50f62b06eef93bf73af5cef5eaca  ./subtree-sets
Index: npl/monitoring/cricket/cricket.version
===================================================================
--- npl/monitoring/cricket/cricket.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/cricket.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+1.0.5
Index: npl/monitoring/cricket/snmp.pm
===================================================================
--- npl/monitoring/cricket/snmp.pm	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/snmp.pm	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,126 @@
+# -*-perl-*-
+
+# Cricket: a configuration, polling and data display wrapper for RRD files
+#
+#    Copyright (C) 1998 Jeff R. Allen and WebTV Networks, Inc.
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# This lets people replace our choice of snmp libraries by simply
+# replacing snmpUtils.pm (Ed, this means you! <wink>)
+
+use snmpUtils;
+
+use Common::Log;
+
+use strict;
+
+# This tells the collector that we are open for business and
+# happy to handle snmp:// datasources.
+$main::gDSFetch{'snmp'} = \&snmpFetch;
+
+sub snmpFetch {
+    # This procedure is passed a REFERENCE to an array of SNMP datasources.
+    #
+    # Each element consists of a string like:
+    #       index://community@host:port/oid
+    # community and port are optional. If they are left out, they
+    # will default to public and 161, respectively.
+    #
+    # VERY IMPORTANT: The index MUST be returned with the corresponding value,
+    # otherwise it'll get put back into the wrong spot in the RRD.
+
+    my($dsList, $name, $target) = @_;
+    my(%oidsPerSnmp) = ();
+
+    my($dsspec);
+    my($oidMap) = $main::gCT->configHash($name, 'oid');
+    foreach $dsspec (@{ $dsList }) {
+        my($index);
+
+        ($index, $dsspec) = split(/:/, $dsspec, 2);
+        $dsspec =~ s#^//##;
+
+        # This little hack is for people who like to use slashes in their
+        # community strings.
+        my($comm, $cinfo) = split(/@/, $dsspec, 2);
+        my($snmp, $oid)   = split(/\//, $cinfo, 2);
+        $snmp = $comm . "@" . $snmp;
+
+        $oid = mapOid($oidMap, $oid);
+        if (! defined $oid) {
+            Warn("Could not find an OID in $dsspec");
+            return ();
+        }
+
+        # Debug("SNMP parser: snmp://$snmp/$oid");
+
+        # we only try to process them if we didn't find a problem
+        # above (hence the check for undef)
+        push(@{ $oidsPerSnmp{$snmp} }, "$index:$oid")
+            if (defined $oid);
+    }
+
+    my(@results) = ();
+
+    while (my($snmp, $snmpDSRef) = each %oidsPerSnmp) {
+        my(@oidsToQuery) = ();
+
+        if ($#{ $snmpDSRef } >= 0) {
+            my(@oidsToQuery) = ();
+            my(@indices) = ();
+            my($line);
+            while ($line = shift @{ $snmpDSRef }) {
+                my($index, $oid) = split(/:/, $line);
+                push(@indices, $index); push(@oidsToQuery, $oid);
+            }
+
+            Debug("Getting from $snmp ", join(" ", @oidsToQuery));
+            my(@hostResults) = snmpUtils::get($snmp, @oidsToQuery);
+            if (isDebug()) { Debug("Got: ", join(" ", @hostResults)); }
+
+            # it tells us everything went to hell by returning
+            # scalar -1. Unfortunately, we interpret that as the first
+            # result. So, make it undef so that we fix it later.
+            # hopefully, we don't need to fetch a -1 all the time...
+
+            if (defined($hostResults[0]) && $hostResults[0] == -1) {
+                $hostResults[0] = undef;
+            }
+
+            # turn undefs into "U"'s to make RRD happy
+            my($ctr);
+            for $ctr ( 0..$#indices ) {
+                my($res) = $hostResults[$ctr];
+                $res = "U" if (! defined($res));
+				# previously called fixNum() here, but that breaks mapped
+				# instances which rely on the fact that the snmp result
+				# may be non-numeric
+                push(@results, "$indices[$ctr]:" . $res);
+            }
+        }
+    }
+
+    return @results;
+}
+
+1;
+
+# Local Variables:
+# mode: perl
+# indent-tabs-mode: nil
+# tab-width: 4
+# perl-indent-level: 4
+# End:
Index: npl/monitoring/cricket/subtree-sets
===================================================================
--- npl/monitoring/cricket/subtree-sets	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/cricket/subtree-sets	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,13 @@
+# This file lists the subtrees that will be processed together in one
+# set. See the comments at the beginning of collect-subtrees for more info.
+
+# This will be passed to collector so it can find the Config Tree.
+# If this directory does not start with a slash, it will
+# have $HOME prepended.
+base:   cricket-config
+
+# this is where logs will be put. (The $HOME rule applies here too.)
+logdir: cricket-logs
+
+set normal:
+	/
Index: npl/monitoring/fail2ban/fail2ban.build
===================================================================
--- npl/monitoring/fail2ban/fail2ban.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5683
Index: npl/monitoring/fping/fping.build
===================================================================
--- npl/monitoring/fping/fping.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6397
Index: npl/monitoring/fping/fping.md5
===================================================================
--- npl/monitoring/fping/fping.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/monitoring/fping/fping.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,4 +1,4 @@
-d91adddd7108c26ef58c1cd0a2fd718d  ./fping-5.1.tar.gz
-437111b7c18a81dca2cdf5c85373794f  ./fping.pkg
+a39134baca6bc6ced56191cb51fb0dc2  ./fping-3.13.tar.gz
+aef6ef6ad2965ff48f4a307fec75e5d3  ./fping.pkg
 572ccc8ecae9b8dc05e0512656663800  ./fping.SlackBuild
-f2be5b1138f2899fb81da19be3bbfaad  ./fping.SlackBuild.log.gz
+1095e744ec2528e21d95407796318be0  ./fping.SlackBuild.log.gz
Index: npl/monitoring/fping/fping.version
===================================================================
--- npl/monitoring/fping/fping.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/monitoring/fping/fping.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-5.1
+3.13
Index: npl/monitoring/net_snmp/net_snmp.build
===================================================================
--- npl/monitoring/net_snmp/net_snmp.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5293
Index: npl/monitoring/rrdtool/rrdtool.build
===================================================================
--- npl/monitoring/rrdtool/rrdtool.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6526
Index: npl/monitoring/smokeping/smokeping.build
===================================================================
--- npl/monitoring/smokeping/smokeping.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5034
Index: npl/monitoring/syn3_snmp_subagent/syn3_snmp_subagent.build
===================================================================
--- npl/monitoring/syn3_snmp_subagent/syn3_snmp_subagent.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5640
Index: npl/monitoring/zabbix/zabbix.build
===================================================================
--- npl/monitoring/zabbix/zabbix.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6226
Index: npl/monitoring/zabbix_conf/root/etc/postinst.d/post.zabbix
===================================================================
--- npl/monitoring/zabbix_conf/root/etc/postinst.d/post.zabbix	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/monitoring/zabbix_conf/root/etc/postinst.d/post.zabbix	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,5 +2,4 @@
 
 useradd zabbix
-svcrestart /service/nscd
 
 if ! crontab -l | grep syn3-zabbix-send; then
@@ -11,13 +10,3 @@
 fi
 
-#first time installation?
-if [ `ls /var/log/packages/zabbix_conf-* 2>/dev/null|wc -l` == "1" ]; then
-        #make sure its disabled
-        touch /service/zabbix/down
-        svcstop /service/zabbix
-fi
-
-touch /var/log/zabbix_agentd.log
-chown zabbix /var/log/zabbix_agentd.log
-
 exit 0
Index: npl/monitoring/zabbix_conf/root/etc/zabbix/zabbix_agentd.conf
===================================================================
--- npl/monitoring/zabbix_conf/root/etc/zabbix/zabbix_agentd.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/monitoring/zabbix_conf/root/etc/zabbix/zabbix_agentd.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,276 @@
+#SYN-3 zabbix config file - WILL BE OVERWRITTEN WHEN UPDATED
+#Put your overrides in a file in /etc/zabbix/zabbix_agentd.conf.d/
+
+# This is a config file for the Zabbix agent daemon (Unix)
+# To get more information about Zabbix, visit http://www.zabbix.com
+
+############ GENERAL PARAMETERS #################
+
+### Option: PidFile
+#	Name of PID file.
+#
+# Mandatory: no
+# Default:
+# PidFile=/var/run/zabbix_agentd.pid
+
+### Option: LogFile
+#	Name of log file.
+#	If not set, syslog is used.
+#
+# Mandatory: no
+# Default:
+# LogFile=
+
+LogFile=/var/log/zabbix_agentd.log
+
+### Option: LogFileSize
+#	Maximum size of log file in MB.
+#	0 - disable automatic log rotation.
+#
+# Mandatory: no
+# Range: 0-1024
+# Default:
+# LogFileSize=1
+
+### Option: DebugLevel
+#	Specifies debug level
+#	0 - no debug
+#	1 - critical information
+#	2 - error information
+#	3 - warnings
+#	4 - for debugging (produces lots of information)
+#
+# Mandatory: no
+# Range: 0-4
+# Default:
+# DebugLevel=3
+
+### Option: SourceIP
+#	Source IP address for outgoing connections.
+#
+# Mandatory: no
+# Default:
+# SourceIP=
+
+### Option: EnableRemoteCommands
+#	Whether remote commands from Zabbix server are allowed.
+#	0 - not allowed
+#	1 - allowed
+#
+# Mandatory: no
+# Default:
+# EnableRemoteCommands=0
+
+### Option: LogRemoteCommands
+#	Enable logging of executed shell commands as warnings.
+#	0 - disabled
+#	1 - enabled
+#
+# Mandatory: no
+# Default:
+# LogRemoteCommands=0
+
+##### Passive checks related
+
+### Option: Server
+#	List of comma delimited IP addresses (or hostnames) of Zabbix servers.
+#	Incoming connections will be accepted only from the hosts listed here.
+#	If IPv6 support is enabled then '127.0.0.1', '::127.0.0.1', '::ffff:127.0.0.1' are treated equally.
+#
+# Mandatory: no
+# Default:
+#Server=127.0.0.1
+
+### Option: ListenPort
+#	Agent will listen on this port for connections from the server.
+#
+# Mandatory: no
+# Range: 1024-32767
+# Default:
+# ListenPort=10050
+
+### Option: ListenIP
+#	List of comma delimited IP addresses that the agent should listen on.
+#	First IP address is sent to Zabbix server if connecting to it to retrieve list of active checks.
+#
+# Mandatory: no
+# Default:
+# ListenIP=0.0.0.0
+
+### Option: StartAgents
+#	Number of pre-forked instances of zabbix_agentd that process passive checks.
+#	If set to 0, disables passive checks and the agent will not listen on any TCP port.
+#
+# Mandatory: no
+# Range: 0-100
+# Default:
+StartAgents=0
+
+##### Active checks related
+
+
+### Option: ServerActive
+#	List of comma delimited IP:port (or hostname:port) pairs of Zabbix servers for active checks.
+#	If port is not specified, default port is used.
+#	IPv6 addresses must be enclosed in square brackets if port for that host is specified.
+#	If port is not specified, square brackets for IPv6 addresses are optional.
+#	If this parameter is not specified, active checks are disabled.
+#	Example: ServerActive=127.0.0.1:20051,zabbix.domain,[::1]:30051,::1,[12fc::1]
+#
+# Mandatory: no
+#SYN-3 NOTE: Dont change this, it will be overwritten by updates. Create a file in /etc/zabbix/zabbix_agentd.conf.d/ instead.
+ServerActive=zabbix1.datux.nl:10002
+
+### Option: Hostname
+#	Unique, case sensitive hostname.
+#	Required for active checks and must match hostname as configured on the server.
+#	Value is acquired from HostnameItem if undefined.
+#
+# Mandatory: no
+#SYN-3 NOTE: This is set automaticly via /etc/zabbix/zabbix_agentd.conf.d/hostname.conf
+
+### Option: HostnameItem
+#	Item used for generating Hostname if it is undefined.
+#	Ignored if Hostname is defined.
+#
+# Mandatory: no
+# Default:
+# HostnameItem=system.hostname
+
+### Option: HostMetadata
+#	Optional parameter that defines host metadata.
+#	Host metadata is used at host auto-registration process.
+#	An agent will issue an error and not start if the value is over limit of 255 characters.
+#	If not defined, value will be acquired from HostMetadataItem.
+#
+# Mandatory: no
+# Range: 0-255 characters
+# Default:
+HostMetadata=syn3_server
+
+### Option: HostMetadataItem
+#	Optional parameter that defines an item used for getting host metadata.
+#	Host metadata is used at host auto-registration process.
+#	During an auto-registration request an agent will log a warning message if
+#	the value returned by specified item is over limit of 255 characters.
+#	This option is only used when HostMetadata is not defined.
+#
+# Mandatory: no
+# Default:
+# HostMetadataItem=
+
+### Option: RefreshActiveChecks
+#	How often list of active checks is refreshed, in seconds.
+#
+# Mandatory: no
+# Range: 60-3600
+# Default:
+RefreshActiveChecks=120
+
+### Option: BufferSend
+#	Do not keep data longer than N seconds in buffer.
+#
+# Mandatory: no
+# Range: 1-3600
+# Default:
+# BufferSend=5
+
+### Option: BufferSize
+#	Maximum number of values in a memory buffer. The agent will send
+#	all collected data to Zabbix Server or Proxy if the buffer is full.
+#
+# Mandatory: no
+# Range: 2-65535
+# Default:
+BufferSize=1000
+
+### Option: MaxLinesPerSecond
+#	Maximum number of new lines the agent will send per second to Zabbix Server
+#	or Proxy processing 'log' and 'logrt' active checks.
+#	The provided value will be overridden by the parameter 'maxlines',
+#	provided in 'log' or 'logrt' item keys.
+#
+# Mandatory: no
+# Range: 1-1000
+# Default:
+# MaxLinesPerSecond=100
+
+############ ADVANCED PARAMETERS #################
+
+### Option: Alias
+#	Sets an alias for an item key. It can be used to substitute long and complex item key with a smaller and simpler one.
+#	Multiple Alias parameters may be present. Multiple parameters with the same Alias key are not allowed.
+#	Different Alias keys may reference the same item key.
+#	For example, to retrieve the ID of user 'zabbix':
+#	Alias=zabbix.userid:vfs.file.regexp[/etc/passwd,^zabbix:.:([0-9]+),,,,\1]
+#	Now shorthand key zabbix.userid may be used to retrieve data.
+#	Aliases can be used in HostMetadataItem but not in HostnameItem parameters.
+#
+# Mandatory: no
+# Range:
+# Default:
+
+### Option: Timeout
+#	Spend no more than Timeout seconds on processing
+#
+# Mandatory: no
+# Range: 1-30
+# Default:
+# Timeout=3
+
+### Option: AllowRoot
+#	Allow the agent to run as 'root'. If disabled and the agent is started by 'root', the agent
+#	will try to switch to user 'zabbix' instead. Has no effect if started under a regular user.
+#	0 - do not allow
+#	1 - allow
+#
+# Mandatory: no
+# Default:
+# AllowRoot=0
+
+
+####### USER-DEFINED MONITORED PARAMETERS #######
+
+### Option: UnsafeUserParameters
+#	Allow all characters to be passed in arguments to user-defined parameters.
+#	0 - do not allow
+#	1 - allow
+#
+# Mandatory: no
+# Range: 0-1
+# Default:
+# UnsafeUserParameters=0
+
+### Option: UserParameter
+#	User-defined parameter to monitor. There can be several user-defined parameters.
+#	Format: UserParameter=<key>,<shell command>
+#	See 'zabbix_agentd' directory for examples.
+#
+# Mandatory: no
+# Default:
+# UserParameter=
+
+####### LOADABLE MODULES #######
+
+### Option: LoadModulePath
+#	Full path to location of agent modules.
+#	Default depends on compilation options.
+#
+# Mandatory: no
+# Default:
+# LoadModulePath=${libdir}/modules
+
+### Option: LoadModule
+#	Module to load at agent startup. Modules are used to extend functionality of the agent.
+#	Format: LoadModule=<module.so>
+#	The modules must be located in directory specified by LoadModulePath.
+#	It is allowed to include multiple LoadModule parameters.
+#
+# Mandatory: no
+# Default:
+# LoadModule=
+
+
+
+#SYN-3 NOTE: put your overrides or enhancements in a file in this directory:
+Include=/etc/zabbix/zabbix_agentd.conf.d/
Index: npl/monitoring/zabbix_conf/root/etc/zabbix/zabbix_agentd.conf.new
===================================================================
--- npl/monitoring/zabbix_conf/root/etc/zabbix/zabbix_agentd.conf.new	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,276 +1,0 @@
-#SYN-3 zabbix config file - WILL BE OVERWRITTEN WHEN UPDATED
-#Put your overrides in a file in /etc/zabbix/zabbix_agentd.conf.d/
-
-# This is a config file for the Zabbix agent daemon (Unix)
-# To get more information about Zabbix, visit http://www.zabbix.com
-
-############ GENERAL PARAMETERS #################
-
-### Option: PidFile
-#	Name of PID file.
-#
-# Mandatory: no
-# Default:
-# PidFile=/var/run/zabbix_agentd.pid
-
-### Option: LogFile
-#	Name of log file.
-#	If not set, syslog is used.
-#
-# Mandatory: no
-# Default:
-# LogFile=
-
-LogFile=/var/log/zabbix_agentd.log
-
-### Option: LogFileSize
-#	Maximum size of log file in MB.
-#	0 - disable automatic log rotation.
-#
-# Mandatory: no
-# Range: 0-1024
-# Default:
-# LogFileSize=1
-
-### Option: DebugLevel
-#	Specifies debug level
-#	0 - no debug
-#	1 - critical information
-#	2 - error information
-#	3 - warnings
-#	4 - for debugging (produces lots of information)
-#
-# Mandatory: no
-# Range: 0-4
-# Default:
-# DebugLevel=3
-
-### Option: SourceIP
-#	Source IP address for outgoing connections.
-#
-# Mandatory: no
-# Default:
-# SourceIP=
-
-### Option: EnableRemoteCommands
-#	Whether remote commands from Zabbix server are allowed.
-#	0 - not allowed
-#	1 - allowed
-#
-# Mandatory: no
-# Default:
-# EnableRemoteCommands=0
-
-### Option: LogRemoteCommands
-#	Enable logging of executed shell commands as warnings.
-#	0 - disabled
-#	1 - enabled
-#
-# Mandatory: no
-# Default:
-# LogRemoteCommands=0
-
-##### Passive checks related
-
-### Option: Server
-#	List of comma delimited IP addresses (or hostnames) of Zabbix servers.
-#	Incoming connections will be accepted only from the hosts listed here.
-#	If IPv6 support is enabled then '127.0.0.1', '::127.0.0.1', '::ffff:127.0.0.1' are treated equally.
-#
-# Mandatory: no
-# Default:
-#Server=127.0.0.1
-
-### Option: ListenPort
-#	Agent will listen on this port for connections from the server.
-#
-# Mandatory: no
-# Range: 1024-32767
-# Default:
-# ListenPort=10050
-
-### Option: ListenIP
-#	List of comma delimited IP addresses that the agent should listen on.
-#	First IP address is sent to Zabbix server if connecting to it to retrieve list of active checks.
-#
-# Mandatory: no
-# Default:
-# ListenIP=0.0.0.0
-
-### Option: StartAgents
-#	Number of pre-forked instances of zabbix_agentd that process passive checks.
-#	If set to 0, disables passive checks and the agent will not listen on any TCP port.
-#
-# Mandatory: no
-# Range: 0-100
-# Default:
-StartAgents=0
-
-##### Active checks related
-
-
-### Option: ServerActive
-#	List of comma delimited IP:port (or hostname:port) pairs of Zabbix servers for active checks.
-#	If port is not specified, default port is used.
-#	IPv6 addresses must be enclosed in square brackets if port for that host is specified.
-#	If port is not specified, square brackets for IPv6 addresses are optional.
-#	If this parameter is not specified, active checks are disabled.
-#	Example: ServerActive=127.0.0.1:20051,zabbix.domain,[::1]:30051,::1,[12fc::1]
-#
-# Mandatory: no
-#SYN-3 NOTE: Dont change this, it will be overwritten by updates. Create a file in /etc/zabbix/zabbix_agentd.conf.d/ instead.
-ServerActive=zabbix1.datux.nl:10002
-
-### Option: Hostname
-#	Unique, case sensitive hostname.
-#	Required for active checks and must match hostname as configured on the server.
-#	Value is acquired from HostnameItem if undefined.
-#
-# Mandatory: no
-#SYN-3 NOTE: This is set automaticly via /etc/zabbix/zabbix_agentd.conf.d/hostname.conf
-
-### Option: HostnameItem
-#	Item used for generating Hostname if it is undefined.
-#	Ignored if Hostname is defined.
-#
-# Mandatory: no
-# Default:
-# HostnameItem=system.hostname
-
-### Option: HostMetadata
-#	Optional parameter that defines host metadata.
-#	Host metadata is used at host auto-registration process.
-#	An agent will issue an error and not start if the value is over limit of 255 characters.
-#	If not defined, value will be acquired from HostMetadataItem.
-#
-# Mandatory: no
-# Range: 0-255 characters
-# Default:
-HostMetadata=syn3_server
-
-### Option: HostMetadataItem
-#	Optional parameter that defines an item used for getting host metadata.
-#	Host metadata is used at host auto-registration process.
-#	During an auto-registration request an agent will log a warning message if
-#	the value returned by specified item is over limit of 255 characters.
-#	This option is only used when HostMetadata is not defined.
-#
-# Mandatory: no
-# Default:
-# HostMetadataItem=
-
-### Option: RefreshActiveChecks
-#	How often list of active checks is refreshed, in seconds.
-#
-# Mandatory: no
-# Range: 60-3600
-# Default:
-RefreshActiveChecks=120
-
-### Option: BufferSend
-#	Do not keep data longer than N seconds in buffer.
-#
-# Mandatory: no
-# Range: 1-3600
-# Default:
-# BufferSend=5
-
-### Option: BufferSize
-#	Maximum number of values in a memory buffer. The agent will send
-#	all collected data to Zabbix Server or Proxy if the buffer is full.
-#
-# Mandatory: no
-# Range: 2-65535
-# Default:
-BufferSize=1000
-
-### Option: MaxLinesPerSecond
-#	Maximum number of new lines the agent will send per second to Zabbix Server
-#	or Proxy processing 'log' and 'logrt' active checks.
-#	The provided value will be overridden by the parameter 'maxlines',
-#	provided in 'log' or 'logrt' item keys.
-#
-# Mandatory: no
-# Range: 1-1000
-# Default:
-# MaxLinesPerSecond=100
-
-############ ADVANCED PARAMETERS #################
-
-### Option: Alias
-#	Sets an alias for an item key. It can be used to substitute long and complex item key with a smaller and simpler one.
-#	Multiple Alias parameters may be present. Multiple parameters with the same Alias key are not allowed.
-#	Different Alias keys may reference the same item key.
-#	For example, to retrieve the ID of user 'zabbix':
-#	Alias=zabbix.userid:vfs.file.regexp[/etc/passwd,^zabbix:.:([0-9]+),,,,\1]
-#	Now shorthand key zabbix.userid may be used to retrieve data.
-#	Aliases can be used in HostMetadataItem but not in HostnameItem parameters.
-#
-# Mandatory: no
-# Range:
-# Default:
-
-### Option: Timeout
-#	Spend no more than Timeout seconds on processing
-#
-# Mandatory: no
-# Range: 1-30
-# Default:
-# Timeout=3
-
-### Option: AllowRoot
-#	Allow the agent to run as 'root'. If disabled and the agent is started by 'root', the agent
-#	will try to switch to user 'zabbix' instead. Has no effect if started under a regular user.
-#	0 - do not allow
-#	1 - allow
-#
-# Mandatory: no
-# Default:
-# AllowRoot=0
-
-
-####### USER-DEFINED MONITORED PARAMETERS #######
-
-### Option: UnsafeUserParameters
-#	Allow all characters to be passed in arguments to user-defined parameters.
-#	0 - do not allow
-#	1 - allow
-#
-# Mandatory: no
-# Range: 0-1
-# Default:
-# UnsafeUserParameters=0
-
-### Option: UserParameter
-#	User-defined parameter to monitor. There can be several user-defined parameters.
-#	Format: UserParameter=<key>,<shell command>
-#	See 'zabbix_agentd' directory for examples.
-#
-# Mandatory: no
-# Default:
-# UserParameter=
-
-####### LOADABLE MODULES #######
-
-### Option: LoadModulePath
-#	Full path to location of agent modules.
-#	Default depends on compilation options.
-#
-# Mandatory: no
-# Default:
-# LoadModulePath=${libdir}/modules
-
-### Option: LoadModule
-#	Module to load at agent startup. Modules are used to extend functionality of the agent.
-#	Format: LoadModule=<module.so>
-#	The modules must be located in directory specified by LoadModulePath.
-#	It is allowed to include multiple LoadModule parameters.
-#
-# Mandatory: no
-# Default:
-# LoadModule=
-
-
-
-#SYN-3 NOTE: put your overrides or enhancements in a file in this directory:
-Include=/etc/zabbix/zabbix_agentd.conf.d/
Index: npl/monitoring/zabbix_conf/zabbix_conf.SlackBuild
===================================================================
--- npl/monitoring/zabbix_conf/zabbix_conf.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/monitoring/zabbix_conf/zabbix_conf.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -16,7 +16,7 @@
 chmod +x /tmp/pkg/service/*/run /tmp/pkg/etc/postinst.d/* || exit 1
 
-find /tmp/pkg -name .gitkeep -exec rm  "{}" \;
-
 
 #make main package
 syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/monitoring/zabbix_conf/zabbix_conf.build
===================================================================
--- npl/monitoring/zabbix_conf/zabbix_conf.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6256
Index: npl/monitoring/zabbix_conf/zabbix_conf.md5
===================================================================
--- npl/monitoring/zabbix_conf/zabbix_conf.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/monitoring/zabbix_conf/zabbix_conf.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,7 @@
-5f31b0c361b84dbc17070a7d5aa9077f  ./root/etc/postinst.d/post.zabbix
-bcececeaf6432b0d2ea116fe17db550c  ./root/etc/zabbix/zabbix_agentd.conf.new
+b105fd350cde737ebc116f20b21e8aa1  ./root/etc/postinst.d/post.zabbix
+bcececeaf6432b0d2ea116fe17db550c  ./root/etc/zabbix/zabbix_agentd.conf
 37644f11a86f706c8ef6bf2ae820a32e  ./root/sbin/syn3-zabbix-send
 ab4022685a3c70817da61f1859e03dfd  ./root/service/zabbix/run
-0952b6d682733056319cc1dbd00c9a25  ./zabbix_conf.pkg
-04a7570031e658783478963cf57f9814  ./zabbix_conf.SlackBuild
-cd62a9f68677c9f010b624e0de22a6f6  ./zabbix_conf.SlackBuild.log.gz
+c607cf858086ff08df8293395767870d  ./zabbix_conf.pkg
+93359115e059b20b027eaab38085b3d8  ./zabbix_conf.SlackBuild
+ad33bcbe658ccbd1c52fad51f675ee49  ./zabbix_conf.SlackBuild.log.gz
